### Function

# FwupdPlugin EfiHardDriveDevicePath signature_type_from_string

#### Declaration [src]

    FuEfiHardDriveDevicePathSignatureType
    fu_efi_hard_drive_device_path_signature_type_from_string (
      const gchar* val
    )

#### Description [src]

Converts a string to an enumerated value.

#### Parameters

`val` | `const gchar*`
| A string, e.g. `addr1b8`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `FuEfiHardDriveDevicePathSignatureType`
| Enumerated value.